Album: She's a Witch! - Astrid Battle Theme
Date: January 29, 2020
Date Added: July 20, 2025
Artists:
- Pascal van den Bos
Cover Artists:
- Phos
Art Tags:
- Astrid (Phos)
Cover Art File Extension: jpg
URLs:
- https://potatoboss.bandcamp.com/track/shes-a-witch-astrid-battle-theme
Color: '#fbb560'
Groups:
- Pascal van den Bos
- Beyond
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/shes-a-witch-astrid-battle-theme), excerpt)
    Based on an original character by: Maria "Phos" Panaiotti

    References:
    Graceful Twilight
    Gratification
---
Track: She's a Witch! - Astrid Battle Theme
Duration: 3:28
#Referenced Tracks:
#- Graceful Twilight
#- Gratification
URLs:
- https://potatoboss.bandcamp.com/track/shes-a-witch-astrid-battle-theme